Tracker program hangs on data entry / event capture screen

Bug #1593574 reported by Ant Snyman on 2016-06-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
High
Abyot Asalefew Gizaw

Bug Description

After upgrading to 2.23 build 22982 the tracker program completes the registration, but on the programstage data entry screen the system just hangs. This can be replicated on play.dhis2.org.

Changed in dhis2:
milestone: none → 2.24
importance: Undecided → High
Abyot Asalefew Gizaw (abyot) wrote :

Not able to reproduce on https://play.dhis2.org/demo

Just did registration and data entry to MNCH program and it went fine. Would be nice if you could provide some screenshots or browser logs or steps to reproduce.

Changed in dhis2:
assignee: nobody → Abyot Asalefew Gizaw (abyot)
status: New → Incomplete
Ant Snyman (ant-7) wrote :

The event page is shown with the "Training" block under "Tabular Data Entry" highlighted in blue, but nothing happens after that. Markus Bekken replicated this issue on play, and this morning I was also able to replicate it. Since then Alex has posted a workaround - I don't know whether the workaround was applied to play and therefore does not present the problem anymore. See email below from Alex.
However, our instance do not have a "SMS_CONFIG" so I have not been able yet to apply the workaround suggested.

Dear Ant/Adolphe,

There is a known issue which stops the upgrade to work well. It results in the systemsSettings not loading.

The fix is to directly remove SMS_CONFIG row or any similar rows from the systemsetting table by issuing
delete from systemsetting where name='SMS_CONFIG';

NB: Do the above query with care and first backup your SMS configurations as they will be deleted.
You may need to crosscheck the Apps->Settings is loading well. Once it loads, the app will load well.

Alex

Abyot Asalefew Gizaw (abyot) wrote :

What do you have under your browser log. If chrome, Tools -> Developer tools -> Console.

Hi Ant,

Could you send a screen shot of the console output when the tracker is
hanging ?

Regards
Jiju

On Fri, Jun 17, 2016 at 11:30 AM, Ant Snyman <email address hidden> wrote:

> The event page is shown with the "Training" block under "Tabular Data
> Entry" highlighted in blue, but nothing happens after that. Markus Bekken
> replicated this issue on play, and this morning I was also able to
> replicate it. Since then Alex has posted a workaround - I don't know
> whether the workaround was applied to play and therefore does not present
> the problem anymore. See email below from Alex.
> However, our instance do not have a "SMS_CONFIG" so I have not been able
> yet to apply the workaround suggested.
>
>
> Dear Ant/Adolphe,
>
> There is a known issue which stops the upgrade to work well. It results
> in the systemsSettings not loading.
>
> The fix is to directly remove SMS_CONFIG row or any similar rows from the
> systemsetting table by issuing
> delete from systemsetting where name='SMS_CONFIG';
>
> NB: Do the above query with care and first backup your SMS configurations
> as they will be deleted.
> You may need to crosscheck the Apps->Settings is loading well. Once it
> loads, the app will load well.
>
> Alex
>
>
> ** Attachment added: "After registration the system displays the screen
> below and then just hangs."
>
> https://bugs.launchpad.net/dhis2/+bug/1593574/+attachment/4685508/+files/image.png
>
> --
> You received this bug notification because you are a member of DHIS 2
> developers, which is subscribed to DHIS.
> https://bugs.launchpad.net/bugs/1593574
>
> Title:
> Tracker program hangs on data entry / event capture screen
>
> Status in DHIS:
> Incomplete
>
> Bug description:
> After upgrading to 2.23 build 22982 the tracker program completes the
> registration, but on the programstage data entry screen the system
> just hangs. This can be replicated on play.dhis2.org.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1593574/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs
> More help : https://help.launchpad.net/ListHelp
>

Ant Snyman (ant-7) wrote :

On play.dhis2.org/dev I can still replicate the problem with TB program. Attached is the Browser Development Tools Screen for this:

Ant Snyman (ant-7) wrote :

And on our own tracker program attached is the Browser Development Tools Screen.

Ant Snyman (ant-7) wrote :
Ant Snyman (ant-7) wrote :
Ant Snyman (ant-7) wrote :
Markus Bekken (markus-bekken) wrote :

The screenshots 1 and 2 is coming from a discrepancy between the latest build on the dev server and the latest built tracker capture from git. This problem will be resolved with the next deploy.

The problem in screenshot 3 should be fixed with the latest 2.23 build.

Hi Markus,
Thanks for the feedback. I checked on play.dhis2.org this morning and
tracker capturing was working fine on Sierra Leone. We then upgraded to
that version (2.23 build 23015) but we are still hitting a problem.
Attached is the browser console message. I don't know whether it is still
the same problem.
Regards
Ant

On 17 June 2016 at 15:37, Markus Bekken <email address hidden> wrote:

> The screenshots 1 and 2 is coming from a discrepancy between the latest
> build on the dev server and the latest built tracker capture from git.
> This problem will be resolved with the next deploy.
>
> The problem in screenshot 3 should be fixed with the latest 2.23 build.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1593574
>
> Title:
> Tracker program hangs on data entry / event capture screen
>
> Status in DHIS:
> Incomplete
>
> Bug description:
> After upgrading to 2.23 build 22982 the tracker program completes the
> registration, but on the programstage data entry screen the system
> just hangs. This can be replicated on play.dhis2.org.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1593574/+subscriptions
>

--

*Ant Snyman*

*Cell: 0824910449*

*Landline: 028 2713242*

Health Information Systems Program - SA

--

*This message and any attachments are subject to a disclaimer published at
http://www.hisp.org/policies.html#comms_disclaimer
<http://www.hisp.org/policies.html#comms_disclaimer>. Please read the
disclaimer before opening any attachment or taking any other action in
terms of this electronic transmission. If you cannot access the
disclaimer, kindly send an email to <email address hidden>
<email address hidden> and a copy will be provided to you. By replying to
this e-mail or opening any attachment you agree to be bound by the
provisions of the disclaimer.*

Ant Snyman (ant-7) wrote :

Hi Markus,
Sorry I cleared all the cache's inside DHIS2 (statistics, browser,
application) but now I cleared the cache in Chrome...and now it works.
Thanks.
Regards
Ant

On 20 June 2016 at 16:15, Ant Snyman <email address hidden> wrote:

> Hi Markus,
> Thanks for the feedback. I checked on play.dhis2.org this morning and
> tracker capturing was working fine on Sierra Leone. We then upgraded to
> that version (2.23 build 23015) but we are still hitting a problem.
> Attached is the browser console message. I don't know whether it is still
> the same problem.
> Regards
> Ant
>
> On 17 June 2016 at 15:37, Markus Bekken <email address hidden> wrote:
>
>> The screenshots 1 and 2 is coming from a discrepancy between the latest
>> build on the dev server and the latest built tracker capture from git.
>> This problem will be resolved with the next deploy.
>>
>> The problem in screenshot 3 should be fixed with the latest 2.23 build.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1593574
>>
>> Title:
>> Tracker program hangs on data entry / event capture screen
>>
>> Status in DHIS:
>> Incomplete
>>
>> Bug description:
>> After upgrading to 2.23 build 22982 the tracker program completes the
>> registration, but on the programstage data entry screen the system
>> just hangs. This can be replicated on play.dhis2.org.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/dhis2/+bug/1593574/+subscriptions
>>
>
>
>
> --
>
> *Ant Snyman*
>
> *Cell: 0824910449*
>
> *Landline: 028 2713242*
>
>
> Health Information Systems Program - SA
>

--

*Ant Snyman*

*Cell: 0824910449*

*Landline: 028 2713242*

Health Information Systems Program - SA

--

*This message and any attachments are subject to a disclaimer published at
http://www.hisp.org/policies.html#comms_disclaimer
<http://www.hisp.org/policies.html#comms_disclaimer>. Please read the
disclaimer before opening any attachment or taking any other action in
terms of this electronic transmission. If you cannot access the
disclaimer, kindly send an email to <email address hidden>
<email address hidden> and a copy will be provided to you. By replying to
this e-mail or opening any attachment you agree to be bound by the
provisions of the disclaimer.*

Changed in dhis2:
status: Incomplete → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers